> For the complete documentation index, see [llms.txt](https://docs.cs-cart.jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cs-cart.jp/addon-development/extending-scheme.md).

# スキーマーの拡張

スキーマーはアドオンによって拡張やオーバーライドが可能です。

スキーマーを拡張するには、まずアドオンディレクトリ内に`schemas`ディレクトリを作成する必要があります。(まだ作成されてない場合)

このディレクトリでは、コアのスキーマのディレクトリ構造を再現することで特定のスキームを利用できます。

スキームは先頭に追加され、追加のコンテンツとコアのスキームの両方を拡張することができます。

次の命名規則に従って、ファイルに名前を付けてください；\
`<scheme_name>.[pre|post].php`

例えば、アドオンのディレクトリに`schemas/block_manage` ディレクトリを作成し、\
`blocks.pre.php` ファイルまたは`blocks.post.php` ファイル(または両方)に拡張データを記述することによって`block_manager/blocks` を拡張出来るようになります。

いくつかのスキームを拡張した「アフィリエイトアドオン」でこのテクニックを見ることができます。

例：`block_manager/blocks.php`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cs-cart.jp/addon-development/extending-scheme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
